## WDS Modify Profile request

WDS Modify Profile request

## Functions

QmiMessageWdsModifyProfileInput * | qmi_message_wds_modify_profile_input_new ()
QmiMessageWdsModifyProfileInput * | qmi_message_wds_modify_profile_input_ref ()
void | qmi_message_wds_modify_profile_input_unref ()
gboolean | qmi_message_wds_modify_profile_input_get_lte_qos_parameters ()
gboolean | qmi_message_wds_modify_profile_input_set_lte_qos_parameters ()
gboolean | qmi_message_wds_modify_profile_input_get_ipv6_secondary_dns_address_preference ()
gboolean | qmi_message_wds_modify_profile_input_set_ipv6_secondary_dns_address_preference ()
gboolean | qmi_message_wds_modify_profile_input_get_ipv6_primary_dns_address_preference ()
gboolean | qmi_message_wds_modify_profile_input_set_ipv6_primary_dns_address_preference ()
gboolean | qmi_message_wds_modify_profile_input_get_umts_minimum_qos_with_signaling_indication_flag ()
gboolean | qmi_message_wds_modify_profile_input_set_umts_minimum_qos_with_signaling_indication_flag ()
gboolean | qmi_message_wds_modify_profile_input_get_umts_requested_qos_with_signaling_indication_flag ()
gboolean | qmi_message_wds_modify_profile_input_set_umts_requested_qos_with_signaling_indication_flag ()
gboolean | qmi_message_wds_modify_profile_input_get_ipv6_address_preference ()
gboolean | qmi_message_wds_modify_profile_input_set_ipv6_address_preference ()
gboolean | qmi_message_wds_modify_profile_input_get_pdp_context_primary_id ()
gboolean | qmi_message_wds_modify_profile_input_set_pdp_context_primary_id ()
gboolean | qmi_message_wds_modify_profile_input_get_pdp_context_secondary_flag ()
gboolean | qmi_message_wds_modify_profile_input_set_pdp_context_secondary_flag ()
gboolean | qmi_message_wds_modify_profile_input_get_pdp_context_number ()
gboolean | qmi_message_wds_modify_profile_input_set_pdp_context_number ()
gboolean | qmi_message_wds_modify_profile_input_get_imcn_flag ()
gboolean | qmi_message_wds_modify_profile_input_set_imcn_flag ()
gboolean | qmi_message_wds_modify_profile_input_get_pcscf_address_using_dhcp ()
gboolean | qmi_message_wds_modify_profile_input_set_pcscf_address_using_dhcp ()
gboolean | qmi_message_wds_modify_profile_input_get_pcscf_address_using_pco ()
gboolean | qmi_message_wds_modify_profile_input_set_pcscf_address_using_pco ()
gboolean | qmi_message_wds_modify_profile_input_get_ipv4_address_preference ()
gboolean | qmi_message_wds_modify_profile_input_set_ipv4_address_preference ()
gboolean | qmi_message_wds_modify_profile_input_get_authentication ()
gboolean | qmi_message_wds_modify_profile_input_set_authentication ()
gboolean | qmi_message_wds_modify_profile_input_get_password ()
gboolean | qmi_message_wds_modify_profile_input_set_password ()
gboolean | qmi_message_wds_modify_profile_input_get_username ()
gboolean | qmi_message_wds_modify_profile_input_set_username ()
gboolean | qmi_message_wds_modify_profile_input_get_gprs_minimum_qos ()
gboolean | qmi_message_wds_modify_profile_input_set_gprs_minimum_qos ()
gboolean | qmi_message_wds_modify_profile_input_get_gprs_requested_qos ()
gboolean | qmi_message_wds_modify_profile_input_set_gprs_requested_qos ()
gboolean | qmi_message_wds_modify_profile_input_get_umts_minimum_qos ()
gboolean | qmi_message_wds_modify_profile_input_set_umts_minimum_qos ()
gboolean | qmi_message_wds_modify_profile_input_get_umts_requested_qos ()
gboolean | qmi_message_wds_modify_profile_input_set_umts_requested_qos ()
gboolean | qmi_message_wds_modify_profile_input_get_secondary_ipv4_dns_address ()
gboolean | qmi_message_wds_modify_profile_input_set_secondary_ipv4_dns_address ()
gboolean | qmi_message_wds_modify_profile_input_get_primary_ipv4_dns_address ()
gboolean | qmi_message_wds_modify_profile_input_set_primary_ipv4_dns_address ()
gboolean | qmi_message_wds_modify_profile_input_get_apn_name ()
gboolean | qmi_message_wds_modify_profile_input_set_apn_name ()
gboolean | qmi_message_wds_modify_profile_input_get_pdp_data_compression_type ()
gboolean | qmi_message_wds_modify_profile_input_set_pdp_data_compression_type ()
gboolean | qmi_message_wds_modify_profile_input_get_pdp_header_compression_type ()
gboolean | qmi_message_wds_modify_profile_input_set_pdp_header_compression_type ()
gboolean | qmi_message_wds_modify_profile_input_get_pdp_type ()
gboolean | qmi_message_wds_modify_profile_input_set_pdp_type ()
gboolean | qmi_message_wds_modify_profile_input_get_profile_name ()
gboolean | qmi_message_wds_modify_profile_input_set_profile_name ()
gboolean | qmi_message_wds_modify_profile_input_get_profile_identifier ()
gboolean | qmi_message_wds_modify_profile_input_set_profile_identifier ()
QmiMessageWdsModifyProfileOutput * | qmi_message_wds_modify_profile_output_ref ()
void | qmi_message_wds_modify_profile_output_unref ()
gboolean | qmi_message_wds_modify_profile_output_get_result ()
gboolean | qmi_message_wds_modify_profile_output_get_extended_error_code ()
void | qmi_client_wds_modify_profile ()
QmiMessageWdsModifyProfileOutput * | qmi_client_wds_modify_profile_finish ()

## Types and Values

| QmiMessageWdsModifyProfileInput
| QmiMessageWdsModifyProfileOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsModifyProfileInput
        ╰── QmiMessageWdsModifyProfileOutput

## Description

## Functions

### qmi_message_wds_modify_profile_input_new ()

    QmiMessageWdsModifyProfileInput *
    qmi_message_wds_modify_profile_input_new
                                   (void);

Allocates a new QmiMessageWdsModifyProfileInput.

#### Returns

the newly created QmiMessageWdsModifyProfileInput. The returned value should be freed with `qmi_message_wds_modify_profile_input_unref()`.

Since: 1.18

### qmi_message_wds_modify_profile_input_ref ()

    QmiMessageWdsModifyProfileInput *
    qmi_message_wds_modify_profile_input_ref
                                   (QmiMessageWdsModifyProfileInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_wds_modify_profile_input_unref ()

    void
    qmi_message_wds_modify_profile_input_unref
                                   (QmiMessageWdsModifyProfileInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |

Since: 1.18

### qmi_message_wds_modify_profile_input_get_lte_qos_parameters ()

    gboolean
    qmi_message_wds_modify_profile_input_get_lte_qos_parameters
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsQosClassIdentifier *value_lte_qos_parameters_qos_class_identifier,
                                    guint32 *value_lte_qos_parameters_guaranteed_downlink_bitrate,
                                    guint32 *value_lte_qos_parameters_max_downlink_bitrate,
                                    guint32 *value_lte_qos_parameters_guaranteed_uplink_bitrate,
                                    guint32 *value_lte_qos_parameters_max_uplink_bitrate,
                                    GError **error);

Get the 'LTE QoS Parameters' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_lte_qos_parameters_qos_class_identifier | a placeholder for the output QmiWdsQosClassIdentifier, or `NULL` if not required. |
value_lte_qos_parameters_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_lte_qos_parameters_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_lte_qos_parameters_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_lte_qos_parameters_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_lte_qos_parameters ()

    gboolean
    qmi_message_wds_modify_profile_input_set_lte_qos_parameters
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsQosClassIdentifier value_lte_qos_parameters_qos_class_identifier,
                                    guint32 value_lte_qos_parameters_guaranteed_downlink_bitrate,
                                    guint32 value_lte_qos_parameters_max_downlink_bitrate,
                                    guint32 value_lte_qos_parameters_guaranteed_uplink_bitrate,
                                    guint32 value_lte_qos_parameters_max_uplink_bitrate,
                                    GError **error);

Set the 'LTE QoS Parameters' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_lte_qos_parameters_qos_class_identifier | a QmiWdsQosClassIdentifier. |
value_lte_qos_parameters_guaranteed_downlink_bitrate | a guint32. |
value_lte_qos_parameters_max_downlink_bitrate | a guint32. |
value_lte_qos_parameters_guaranteed_uplink_bitrate | a guint32. |
value_lte_qos_parameters_max_uplink_bitrate | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_ipv6_secondary_dns_address_preference ()

    gboolean
    qmi_message_wds_modify_profile_input_get_ipv6_secondary_dns_address_preference
                                   (QmiMessageWdsModifyProfileInput *self,
                                    GArray **value_ipv6_secondary_dns_address_preference,
                                    GError **error);

Get the 'IPv6 Secondary DNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_ipv6_secondary_dns_address_preference | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_ipv6_secondary_dns_address_preference ()

    gboolean
    qmi_message_wds_modify_profile_input_set_ipv6_secondary_dns_address_preference
                                   (QmiMessageWdsModifyProfileInput *self,
                                    GArray *value_ipv6_secondary_dns_address_preference,
                                    GError **error);

Set the 'IPv6 Secondary DNS Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_ipv6_secondary_dns_address_preference | a GArray of guint16 elements. A new reference to `value_ipv6_secondary_dns_address_preference` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_ipv6_primary_dns_address_preference ()

    gboolean
    qmi_message_wds_modify_profile_input_get_ipv6_primary_dns_address_preference
                                   (QmiMessageWdsModifyProfileInput *self,
                                    GArray **value_ipv6_primary_dns_address_preference,
                                    GError **error);

Get the 'IPv6 Primary DNS Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_ipv6_primary_dns_address_preference | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_ipv6_primary_dns_address_preference ()

    gboolean
    qmi_message_wds_modify_profile_input_set_ipv6_primary_dns_address_preference
                                   (QmiMessageWdsModifyProfileInput *self,
                                    GArray *value_ipv6_primary_dns_address_preference,
                                    GError **error);

Set the 'IPv6 Primary DNS Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_ipv6_primary_dns_address_preference | a GArray of guint16 elements. A new reference to `value_ipv6_primary_dns_address_preference` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_umts_minimum_qos_with_signaling_indication_flag ()

    gboolean
    qmi_message_wds_modify_profile_input_get_umts_minimum_qos_with_signaling_indication_flag
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsTrafficClass *value_umts_minimum_qos_with_signaling_indication_flag_traffic_class,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_max_uplink_bitrate,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_max_downlink_bitrate,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder *value_umts_minimum_qos_with_signaling_indication_flag_qos_delivery_order,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_maximum_sdu_size,
                                    QmiWdsSduErrorRatio *value_umts_minimum_qos_with_signaling_indication_flag_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio *value_umts_minimum_qos_with_signaling_indication_flag_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery *value_umts_minimum_qos_with_signaling_indication_flag_delivery_erroneous_sdu,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_transfer_delay,
                                    guint32 *value_umts_minimum_qos_with_signaling_indication_flag_traffic_handling_priority,
                                    gint8 *value_umts_minimum_qos_with_signaling_indication_flag_signaling_indication,
                                    GError **error);

Get the 'UMTS Minimum QoS With Signaling Indication Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_umts_minimum_qos_with_signaling_indication_flag_traffic_class | a placeholder for the output QmiWdsTrafficClass, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_qos_delivery_order | a placeholder for the output QmiWdsDeliveryOrder, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_maximum_sdu_size | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_sdu_error_ratio | a placeholder for the output QmiWdsSduErrorRatio, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_residual_bit_error_ratio | a placeholder for the output QmiWdsSduResidualBitErrorRatio, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_delivery_erroneous_sdu | a placeholder for the output QmiWdsSduErroneousDelivery, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_transfer_delay | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_traffic_handling_priority | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_with_signaling_indication_flag_signaling_indication | a placeholder for the output gint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_umts_minimum_qos_with_signaling_indication_flag ()

    gboolean
    qmi_message_wds_modify_profile_input_set_umts_minimum_qos_with_signaling_indication_flag
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsTrafficClass value_umts_minimum_qos_with_signaling_indication_flag_traffic_class,
                                    guint32 value_umts_minimum_qos_with_signaling_indication_flag_max_uplink_bitrate,
                                    guint32 value_umts_minimum_qos_with_signaling_indication_flag_max_downlink_bitrate,
                                    guint32 value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate,
                                    guint32 value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder value_umts_minimum_qos_with_signaling_indication_flag_qos_delivery_order,
                                    guint32 value_umts_minimum_qos_with_signaling_indication_flag_maximum_sdu_size,
                                    QmiWdsSduErrorRatio value_umts_minimum_qos_with_signaling_indication_flag_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio value_umts_minimum_qos_with_signaling_indication_flag_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery value_umts_minimum_qos_with_signaling_indication_flag_delivery_erroneous_sdu,
                                    guint32 value_umts_minimum_qos_with_signaling_indication_flag_transfer_delay,
                                    guint32 value_umts_minimum_qos_with_signaling_indication_flag_traffic_handling_priority,
                                    gint8 value_umts_minimum_qos_with_signaling_indication_flag_signaling_indication,
                                    GError **error);

Set the 'UMTS Minimum QoS With Signaling Indication Flag' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_umts_minimum_qos_with_signaling_indication_flag_traffic_class | a QmiWdsTrafficClass. |
value_umts_minimum_qos_with_signaling_indication_flag_max_uplink_bitrate | a guint32. |
value_umts_minimum_qos_with_signaling_indication_flag_max_downlink_bitrate | a guint32. |
value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate | a guint32. |
value_umts_minimum_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate | a guint32. |
value_umts_minimum_qos_with_signaling_indication_flag_qos_delivery_order | a QmiWdsDeliveryOrder. |
value_umts_minimum_qos_with_signaling_indication_flag_maximum_sdu_size | a guint32. |
value_umts_minimum_qos_with_signaling_indication_flag_sdu_error_ratio | a QmiWdsSduErrorRatio. |
value_umts_minimum_qos_with_signaling_indication_flag_residual_bit_error_ratio | a QmiWdsSduResidualBitErrorRatio. |
value_umts_minimum_qos_with_signaling_indication_flag_delivery_erroneous_sdu | a QmiWdsSduErroneousDelivery. |
value_umts_minimum_qos_with_signaling_indication_flag_transfer_delay | a guint32. |
value_umts_minimum_qos_with_signaling_indication_flag_traffic_handling_priority | a guint32. |
value_umts_minimum_qos_with_signaling_indication_flag_signaling_indication | a gint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_umts_requested_qos_with_signaling_indication_flag ()

    gboolean
    qmi_message_wds_modify_profile_input_get_umts_requested_qos_with_signaling_indication_flag
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsTrafficClass *value_umts_requested_qos_with_signaling_indication_flag_traffic_class,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_max_uplink_bitrate,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_max_downlink_bitrate,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder *value_umts_requested_qos_with_signaling_indication_flag_qos_delivery_order,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_maximum_sdu_size,
                                    QmiWdsSduErrorRatio *value_umts_requested_qos_with_signaling_indication_flag_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio *value_umts_requested_qos_with_signaling_indication_flag_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery *value_umts_requested_qos_with_signaling_indication_flag_delivery_erroneous_sdu,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_transfer_delay,
                                    guint32 *value_umts_requested_qos_with_signaling_indication_flag_traffic_handling_priority,
                                    gint8 *value_umts_requested_qos_with_signaling_indication_flag_signaling_indication,
                                    GError **error);

Get the 'UMTS Requested QoS With Signaling Indication Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_umts_requested_qos_with_signaling_indication_flag_traffic_class | a placeholder for the output QmiWdsTrafficClass, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_qos_delivery_order | a placeholder for the output QmiWdsDeliveryOrder, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_maximum_sdu_size | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_sdu_error_ratio | a placeholder for the output QmiWdsSduErrorRatio, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_residual_bit_error_ratio | a placeholder for the output QmiWdsSduResidualBitErrorRatio, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_delivery_erroneous_sdu | a placeholder for the output QmiWdsSduErroneousDelivery, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_transfer_delay | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_traffic_handling_priority | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_with_signaling_indication_flag_signaling_indication | a placeholder for the output gint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_umts_requested_qos_with_signaling_indication_flag ()

    gboolean
    qmi_message_wds_modify_profile_input_set_umts_requested_qos_with_signaling_indication_flag
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsTrafficClass value_umts_requested_qos_with_signaling_indication_flag_traffic_class,
                                    guint32 value_umts_requested_qos_with_signaling_indication_flag_max_uplink_bitrate,
                                    guint32 value_umts_requested_qos_with_signaling_indication_flag_max_downlink_bitrate,
                                    guint32 value_umts_requested_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate,
                                    guint32 value_umts_requested_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder value_umts_requested_qos_with_signaling_indication_flag_qos_delivery_order,
                                    guint32 value_umts_requested_qos_with_signaling_indication_flag_maximum_sdu_size,
                                    QmiWdsSduErrorRatio value_umts_requested_qos_with_signaling_indication_flag_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio value_umts_requested_qos_with_signaling_indication_flag_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery value_umts_requested_qos_with_signaling_indication_flag_delivery_erroneous_sdu,
                                    guint32 value_umts_requested_qos_with_signaling_indication_flag_transfer_delay,
                                    guint32 value_umts_requested_qos_with_signaling_indication_flag_traffic_handling_priority,
                                    gint8 value_umts_requested_qos_with_signaling_indication_flag_signaling_indication,
                                    GError **error);

Set the 'UMTS Requested QoS With Signaling Indication Flag' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_umts_requested_qos_with_signaling_indication_flag_traffic_class | a QmiWdsTrafficClass. |
value_umts_requested_qos_with_signaling_indication_flag_max_uplink_bitrate | a guint32. |
value_umts_requested_qos_with_signaling_indication_flag_max_downlink_bitrate | a guint32. |
value_umts_requested_qos_with_signaling_indication_flag_guaranteed_uplink_bitrate | a guint32. |
value_umts_requested_qos_with_signaling_indication_flag_guaranteed_downlink_bitrate | a guint32. |
value_umts_requested_qos_with_signaling_indication_flag_qos_delivery_order | a QmiWdsDeliveryOrder. |
value_umts_requested_qos_with_signaling_indication_flag_maximum_sdu_size | a guint32. |
value_umts_requested_qos_with_signaling_indication_flag_sdu_error_ratio | a QmiWdsSduErrorRatio. |
value_umts_requested_qos_with_signaling_indication_flag_residual_bit_error_ratio | a QmiWdsSduResidualBitErrorRatio. |
value_umts_requested_qos_with_signaling_indication_flag_delivery_erroneous_sdu | a QmiWdsSduErroneousDelivery. |
value_umts_requested_qos_with_signaling_indication_flag_transfer_delay | a guint32. |
value_umts_requested_qos_with_signaling_indication_flag_traffic_handling_priority | a guint32. |
value_umts_requested_qos_with_signaling_indication_flag_signaling_indication | a gint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_ipv6_address_preference ()

    gboolean
    qmi_message_wds_modify_profile_input_get_ipv6_address_preference
                                   (QmiMessageWdsModifyProfileInput *self,
                                    GArray **value_ipv6_address_preference_address,
                                    GError **error);

Get the 'IPv6 Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_ipv6_address_preference_address | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_ipv6_address_preference ()

    gboolean
    qmi_message_wds_modify_profile_input_set_ipv6_address_preference
                                   (QmiMessageWdsModifyProfileInput *self,
                                    GArray *value_ipv6_address_preference_address,
                                    GError **error);

Set the 'IPv6 Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_ipv6_address_preference_address | a GArray of guint16 elements. A new reference to `value_ipv6_address_preference_address` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_pdp_context_primary_id ()

    gboolean
    qmi_message_wds_modify_profile_input_get_pdp_context_primary_id
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint8 *value_pdp_context_primary_id,
                                    GError **error);

Get the 'PDP Context Primary ID' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_context_primary_id | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_pdp_context_primary_id ()

    gboolean
    qmi_message_wds_modify_profile_input_set_pdp_context_primary_id
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint8 value_pdp_context_primary_id,
                                    GError **error);

Set the 'PDP Context Primary ID' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_context_primary_id | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_pdp_context_secondary_flag ()

    gboolean
    qmi_message_wds_modify_profile_input_get_pdp_context_secondary_flag
                                   (QmiMessageWdsModifyProfileInput *self,
                                    gboolean *value_pdp_context_secondary_flag,
                                    GError **error);

Get the 'PDP Context Secondary Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_context_secondary_flag | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_pdp_context_secondary_flag ()

    gboolean
    qmi_message_wds_modify_profile_input_set_pdp_context_secondary_flag
                                   (QmiMessageWdsModifyProfileInput *self,
                                    gboolean value_pdp_context_secondary_flag,
                                    GError **error);

Set the 'PDP Context Secondary Flag' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_context_secondary_flag | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_pdp_context_number ()

    gboolean
    qmi_message_wds_modify_profile_input_get_pdp_context_number
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint8 *value_pdp_context_number,
                                    GError **error);

Get the 'PDP Context Number' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_context_number | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_pdp_context_number ()

    gboolean
    qmi_message_wds_modify_profile_input_set_pdp_context_number
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint8 value_pdp_context_number,
                                    GError **error);

Set the 'PDP Context Number' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_context_number | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_imcn_flag ()

    gboolean
    qmi_message_wds_modify_profile_input_get_imcn_flag
                                   (QmiMessageWdsModifyProfileInput *self,
                                    gboolean *value_imcn_flag,
                                    GError **error);

Get the 'IMCN Flag' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_imcn_flag | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_imcn_flag ()

    gboolean
    qmi_message_wds_modify_profile_input_set_imcn_flag
                                   (QmiMessageWdsModifyProfileInput *self,
                                    gboolean value_imcn_flag,
                                    GError **error);

Set the 'IMCN Flag' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_imcn_flag | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_pcscf_address_using_dhcp ()

    gboolean
    qmi_message_wds_modify_profile_input_get_pcscf_address_using_dhcp
                                   (QmiMessageWdsModifyProfileInput *self,
                                    gboolean *value_pcscf_address_using_dhcp,
                                    GError **error);

Get the 'PCSCF Address Using DHCP' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pcscf_address_using_dhcp | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_pcscf_address_using_dhcp ()

    gboolean
    qmi_message_wds_modify_profile_input_set_pcscf_address_using_dhcp
                                   (QmiMessageWdsModifyProfileInput *self,
                                    gboolean value_pcscf_address_using_dhcp,
                                    GError **error);

Set the 'PCSCF Address Using DHCP' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pcscf_address_using_dhcp | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_pcscf_address_using_pco ()

    gboolean
    qmi_message_wds_modify_profile_input_get_pcscf_address_using_pco
                                   (QmiMessageWdsModifyProfileInput *self,
                                    gboolean *value_pcscf_address_using_pco,
                                    GError **error);

Get the 'PCSCF Address Using PCO' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pcscf_address_using_pco | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_pcscf_address_using_pco ()

    gboolean
    qmi_message_wds_modify_profile_input_set_pcscf_address_using_pco
                                   (QmiMessageWdsModifyProfileInput *self,
                                    gboolean value_pcscf_address_using_pco,
                                    GError **error);

Set the 'PCSCF Address Using PCO' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pcscf_address_using_pco | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_ipv4_address_preference ()

    gboolean
    qmi_message_wds_modify_profile_input_get_ipv4_address_preference
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 *value_ipv4_address_preference,
                                    GError **error);

Get the 'IPv4 Address Preference' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_ipv4_address_preference | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_ipv4_address_preference ()

    gboolean
    qmi_message_wds_modify_profile_input_set_ipv4_address_preference
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 value_ipv4_address_preference,
                                    GError **error);

Set the 'IPv4 Address Preference' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_ipv4_address_preference | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_authentication ()

    gboolean
    qmi_message_wds_modify_profile_input_get_authentication
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsAuthentication *value_authentication,
                                    GError **error);

Get the 'Authentication' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_authentication | a placeholder for the output QmiWdsAuthentication, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_authentication ()

    gboolean
    qmi_message_wds_modify_profile_input_set_authentication
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsAuthentication value_authentication,
                                    GError **error);

Set the 'Authentication' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_authentication | a QmiWdsAuthentication. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_password ()

    gboolean
    qmi_message_wds_modify_profile_input_get_password
                                   (QmiMessageWdsModifyProfileInput *self,
                                    const gchar **value_password,
                                    GError **error);

Get the 'Password' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_password | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_password ()

    gboolean
    qmi_message_wds_modify_profile_input_set_password
                                   (QmiMessageWdsModifyProfileInput *self,
                                    const gchar *value_password,
                                    GError **error);

Set the 'Password' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_password | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_username ()

    gboolean
    qmi_message_wds_modify_profile_input_get_username
                                   (QmiMessageWdsModifyProfileInput *self,
                                    const gchar **value_username,
                                    GError **error);

Get the 'Username' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_username | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_username ()

    gboolean
    qmi_message_wds_modify_profile_input_set_username
                                   (QmiMessageWdsModifyProfileInput *self,
                                    const gchar *value_username,
                                    GError **error);

Set the 'Username' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_username | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_gprs_minimum_qos ()

    gboolean
    qmi_message_wds_modify_profile_input_get_gprs_minimum_qos
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 *value_gprs_minimum_qos_precedence_class,
                                    guint32 *value_gprs_minimum_qos_delay_class,
                                    guint32 *value_gprs_minimum_qos_reliability_class,
                                    guint32 *value_gprs_minimum_qos_peak_throughput_class,
                                    guint32 *value_gprs_minimum_qos_mean_throughput_class,
                                    GError **error);

Get the 'GPRS Minimum QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_gprs_minimum_qos_precedence_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_minimum_qos_delay_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_minimum_qos_reliability_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_minimum_qos_peak_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_minimum_qos_mean_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_gprs_minimum_qos ()

    gboolean
    qmi_message_wds_modify_profile_input_set_gprs_minimum_qos
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 value_gprs_minimum_qos_precedence_class,
                                    guint32 value_gprs_minimum_qos_delay_class,
                                    guint32 value_gprs_minimum_qos_reliability_class,
                                    guint32 value_gprs_minimum_qos_peak_throughput_class,
                                    guint32 value_gprs_minimum_qos_mean_throughput_class,
                                    GError **error);

Set the 'GPRS Minimum QoS' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_gprs_minimum_qos_precedence_class | a guint32. |
value_gprs_minimum_qos_delay_class | a guint32. |
value_gprs_minimum_qos_reliability_class | a guint32. |
value_gprs_minimum_qos_peak_throughput_class | a guint32. |
value_gprs_minimum_qos_mean_throughput_class | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_gprs_requested_qos ()

    gboolean
    qmi_message_wds_modify_profile_input_get_gprs_requested_qos
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 *value_gprs_requested_qos_precedence_class,
                                    guint32 *value_gprs_requested_qos_delay_class,
                                    guint32 *value_gprs_requested_qos_reliability_class,
                                    guint32 *value_gprs_requested_qos_peak_throughput_class,
                                    guint32 *value_gprs_requested_qos_mean_throughput_class,
                                    GError **error);

Get the 'GPRS Requested QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_gprs_requested_qos_precedence_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_requested_qos_delay_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_requested_qos_reliability_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_requested_qos_peak_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
value_gprs_requested_qos_mean_throughput_class | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_gprs_requested_qos ()

    gboolean
    qmi_message_wds_modify_profile_input_set_gprs_requested_qos
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 value_gprs_requested_qos_precedence_class,
                                    guint32 value_gprs_requested_qos_delay_class,
                                    guint32 value_gprs_requested_qos_reliability_class,
                                    guint32 value_gprs_requested_qos_peak_throughput_class,
                                    guint32 value_gprs_requested_qos_mean_throughput_class,
                                    GError **error);

Set the 'GPRS Requested QoS' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_gprs_requested_qos_precedence_class | a guint32. |
value_gprs_requested_qos_delay_class | a guint32. |
value_gprs_requested_qos_reliability_class | a guint32. |
value_gprs_requested_qos_peak_throughput_class | a guint32. |
value_gprs_requested_qos_mean_throughput_class | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_umts_minimum_qos ()

    gboolean
    qmi_message_wds_modify_profile_input_get_umts_minimum_qos
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsTrafficClass *value_umts_minimum_qos_traffic_class,
                                    guint32 *value_umts_minimum_qos_max_uplink_bitrate,
                                    guint32 *value_umts_minimum_qos_max_downlink_bitrate,
                                    guint32 *value_umts_minimum_qos_guaranteed_uplink_bitrate,
                                    guint32 *value_umts_minimum_qos_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder *value_umts_minimum_qos_qos_delivery_order,
                                    guint32 *value_umts_minimum_qos_maximum_sdu_size,
                                    QmiWdsSduErrorRatio *value_umts_minimum_qos_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio *value_umts_minimum_qos_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery *value_umts_minimum_qos_delivery_erroneous_sdu,
                                    guint32 *value_umts_minimum_qos_transfer_delay,
                                    guint32 *value_umts_minimum_qos_traffic_handling_priority,
                                    GError **error);

Get the 'UMTS Minimum QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_umts_minimum_qos_traffic_class | a placeholder for the output QmiWdsTrafficClass, or `NULL` if not required. |
value_umts_minimum_qos_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_qos_delivery_order | a placeholder for the output QmiWdsDeliveryOrder, or `NULL` if not required. |
value_umts_minimum_qos_maximum_sdu_size | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_sdu_error_ratio | a placeholder for the output QmiWdsSduErrorRatio, or `NULL` if not required. |
value_umts_minimum_qos_residual_bit_error_ratio | a placeholder for the output QmiWdsSduResidualBitErrorRatio, or `NULL` if not required. |
value_umts_minimum_qos_delivery_erroneous_sdu | a placeholder for the output QmiWdsSduErroneousDelivery, or `NULL` if not required. |
value_umts_minimum_qos_transfer_delay | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_minimum_qos_traffic_handling_priority | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_umts_minimum_qos ()

    gboolean
    qmi_message_wds_modify_profile_input_set_umts_minimum_qos
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsTrafficClass value_umts_minimum_qos_traffic_class,
                                    guint32 value_umts_minimum_qos_max_uplink_bitrate,
                                    guint32 value_umts_minimum_qos_max_downlink_bitrate,
                                    guint32 value_umts_minimum_qos_guaranteed_uplink_bitrate,
                                    guint32 value_umts_minimum_qos_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder value_umts_minimum_qos_qos_delivery_order,
                                    guint32 value_umts_minimum_qos_maximum_sdu_size,
                                    QmiWdsSduErrorRatio value_umts_minimum_qos_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio value_umts_minimum_qos_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery value_umts_minimum_qos_delivery_erroneous_sdu,
                                    guint32 value_umts_minimum_qos_transfer_delay,
                                    guint32 value_umts_minimum_qos_traffic_handling_priority,
                                    GError **error);

Set the 'UMTS Minimum QoS' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_umts_minimum_qos_traffic_class | a QmiWdsTrafficClass. |
value_umts_minimum_qos_max_uplink_bitrate | a guint32. |
value_umts_minimum_qos_max_downlink_bitrate | a guint32. |
value_umts_minimum_qos_guaranteed_uplink_bitrate | a guint32. |
value_umts_minimum_qos_guaranteed_downlink_bitrate | a guint32. |
value_umts_minimum_qos_qos_delivery_order | a QmiWdsDeliveryOrder. |
value_umts_minimum_qos_maximum_sdu_size | a guint32. |
value_umts_minimum_qos_sdu_error_ratio | a QmiWdsSduErrorRatio. |
value_umts_minimum_qos_residual_bit_error_ratio | a QmiWdsSduResidualBitErrorRatio. |
value_umts_minimum_qos_delivery_erroneous_sdu | a QmiWdsSduErroneousDelivery. |
value_umts_minimum_qos_transfer_delay | a guint32. |
value_umts_minimum_qos_traffic_handling_priority | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_umts_requested_qos ()

    gboolean
    qmi_message_wds_modify_profile_input_get_umts_requested_qos
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsTrafficClass *value_umts_requested_qos_traffic_class,
                                    guint32 *value_umts_requested_qos_max_uplink_bitrate,
                                    guint32 *value_umts_requested_qos_max_downlink_bitrate,
                                    guint32 *value_umts_requested_qos_guaranteed_uplink_bitrate,
                                    guint32 *value_umts_requested_qos_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder *value_umts_requested_qos_qos_delivery_order,
                                    guint32 *value_umts_requested_qos_maximum_sdu_size,
                                    QmiWdsSduErrorRatio *value_umts_requested_qos_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio *value_umts_requested_qos_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery *value_umts_requested_qos_delivery_erroneous_sdu,
                                    guint32 *value_umts_requested_qos_transfer_delay,
                                    guint32 *value_umts_requested_qos_traffic_handling_priority,
                                    GError **error);

Get the 'UMTS Requested QoS' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_umts_requested_qos_traffic_class | a placeholder for the output QmiWdsTrafficClass, or `NULL` if not required. |
value_umts_requested_qos_max_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_max_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_guaranteed_uplink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_guaranteed_downlink_bitrate | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_qos_delivery_order | a placeholder for the output QmiWdsDeliveryOrder, or `NULL` if not required. |
value_umts_requested_qos_maximum_sdu_size | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_sdu_error_ratio | a placeholder for the output QmiWdsSduErrorRatio, or `NULL` if not required. |
value_umts_requested_qos_residual_bit_error_ratio | a placeholder for the output QmiWdsSduResidualBitErrorRatio, or `NULL` if not required. |
value_umts_requested_qos_delivery_erroneous_sdu | a placeholder for the output QmiWdsSduErroneousDelivery, or `NULL` if not required. |
value_umts_requested_qos_transfer_delay | a placeholder for the output guint32, or `NULL` if not required. |
value_umts_requested_qos_traffic_handling_priority | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_umts_requested_qos ()

    gboolean
    qmi_message_wds_modify_profile_input_set_umts_requested_qos
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsTrafficClass value_umts_requested_qos_traffic_class,
                                    guint32 value_umts_requested_qos_max_uplink_bitrate,
                                    guint32 value_umts_requested_qos_max_downlink_bitrate,
                                    guint32 value_umts_requested_qos_guaranteed_uplink_bitrate,
                                    guint32 value_umts_requested_qos_guaranteed_downlink_bitrate,
                                    QmiWdsDeliveryOrder value_umts_requested_qos_qos_delivery_order,
                                    guint32 value_umts_requested_qos_maximum_sdu_size,
                                    QmiWdsSduErrorRatio value_umts_requested_qos_sdu_error_ratio,
                                    QmiWdsSduResidualBitErrorRatio value_umts_requested_qos_residual_bit_error_ratio,
                                    QmiWdsSduErroneousDelivery value_umts_requested_qos_delivery_erroneous_sdu,
                                    guint32 value_umts_requested_qos_transfer_delay,
                                    guint32 value_umts_requested_qos_traffic_handling_priority,
                                    GError **error);

Set the 'UMTS Requested QoS' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_umts_requested_qos_traffic_class | a QmiWdsTrafficClass. |
value_umts_requested_qos_max_uplink_bitrate | a guint32. |
value_umts_requested_qos_max_downlink_bitrate | a guint32. |
value_umts_requested_qos_guaranteed_uplink_bitrate | a guint32. |
value_umts_requested_qos_guaranteed_downlink_bitrate | a guint32. |
value_umts_requested_qos_qos_delivery_order | a QmiWdsDeliveryOrder. |
value_umts_requested_qos_maximum_sdu_size | a guint32. |
value_umts_requested_qos_sdu_error_ratio | a QmiWdsSduErrorRatio. |
value_umts_requested_qos_residual_bit_error_ratio | a QmiWdsSduResidualBitErrorRatio. |
value_umts_requested_qos_delivery_erroneous_sdu | a QmiWdsSduErroneousDelivery. |
value_umts_requested_qos_transfer_delay | a guint32. |
value_umts_requested_qos_traffic_handling_priority | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_secondary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_modify_profile_input_get_secondary_ipv4_dns_address
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 *value_secondary_ipv4_dns_address,
                                    GError **error);

Get the 'Secondary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_secondary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_secondary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_modify_profile_input_set_secondary_ipv4_dns_address
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 value_secondary_ipv4_dns_address,
                                    GError **error);

Set the 'Secondary IPv4 DNS Address' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_secondary_ipv4_dns_address | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_primary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_modify_profile_input_get_primary_ipv4_dns_address
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 *value_primary_ipv4_dns_address,
                                    GError **error);

Get the 'Primary IPv4 DNS Address' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_primary_ipv4_dns_address | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_primary_ipv4_dns_address ()

    gboolean
    qmi_message_wds_modify_profile_input_set_primary_ipv4_dns_address
                                   (QmiMessageWdsModifyProfileInput *self,
                                    guint32 value_primary_ipv4_dns_address,
                                    GError **error);

Set the 'Primary IPv4 DNS Address' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_primary_ipv4_dns_address | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_apn_name ()

    gboolean
    qmi_message_wds_modify_profile_input_get_apn_name
                                   (QmiMessageWdsModifyProfileInput *self,
                                    const gchar **value_apn_name,
                                    GError **error);

Get the 'APN Name' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_apn_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_apn_name ()

    gboolean
    qmi_message_wds_modify_profile_input_set_apn_name
                                   (QmiMessageWdsModifyProfileInput *self,
                                    const gchar *value_apn_name,
                                    GError **error);

Set the 'APN Name' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_apn_name | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_pdp_data_compression_type ()

    gboolean
    qmi_message_wds_modify_profile_input_get_pdp_data_compression_type
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsPdpDataCompressionType *value_pdp_data_compression_type,
                                    GError **error);

Get the 'PDP Data Compression Type' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_data_compression_type | a placeholder for the output QmiWdsPdpDataCompressionType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_pdp_data_compression_type ()

    gboolean
    qmi_message_wds_modify_profile_input_set_pdp_data_compression_type
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsPdpDataCompressionType value_pdp_data_compression_type,
                                    GError **error);

Set the 'PDP Data Compression Type' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_data_compression_type | a QmiWdsPdpDataCompressionType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_pdp_header_compression_type ()

    gboolean
    qmi_message_wds_modify_profile_input_get_pdp_header_compression_type
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsPdpHeaderCompressionType *value_pdp_header_compression_type,
                                    GError **error);

Get the 'PDP Header Compression Type' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_header_compression_type | a placeholder for the output QmiWdsPdpHeaderCompressionType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_pdp_header_compression_type ()

    gboolean
    qmi_message_wds_modify_profile_input_set_pdp_header_compression_type
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsPdpHeaderCompressionType value_pdp_header_compression_type,
                                    GError **error);

Set the 'PDP Header Compression Type' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_header_compression_type | a QmiWdsPdpHeaderCompressionType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_pdp_type ()

    gboolean
    qmi_message_wds_modify_profile_input_get_pdp_type
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsPdpType *value_pdp_type,
                                    GError **error);

Get the 'PDP Type' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_type | a placeholder for the output QmiWdsPdpType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_pdp_type ()

    gboolean
    qmi_message_wds_modify_profile_input_set_pdp_type
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsPdpType value_pdp_type,
                                    GError **error);

Set the 'PDP Type' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_pdp_type | a QmiWdsPdpType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_profile_name ()

    gboolean
    qmi_message_wds_modify_profile_input_get_profile_name
                                   (QmiMessageWdsModifyProfileInput *self,
                                    const gchar **value_profile_name,
                                    GError **error);

Get the 'Profile Name' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_profile_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_profile_name ()

    gboolean
    qmi_message_wds_modify_profile_input_set_profile_name
                                   (QmiMessageWdsModifyProfileInput *self,
                                    const gchar *value_profile_name,
                                    GError **error);

Set the 'Profile Name' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_profile_name | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_get_profile_identifier ()

    gboolean
    qmi_message_wds_modify_profile_input_get_profile_identifier
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsProfileType *value_profile_identifier_profile_type,
                                    guint8 *value_profile_identifier_profile_index,
                                    GError **error);

Get the 'Profile Identifier' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_profile_identifier_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. |
value_profile_identifier_profile_index | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_input_set_profile_identifier ()

    gboolean
    qmi_message_wds_modify_profile_input_set_profile_identifier
                                   (QmiMessageWdsModifyProfileInput *self,
                                    QmiWdsProfileType value_profile_identifier_profile_type,
                                    guint8 value_profile_identifier_profile_index,
                                    GError **error);

Set the 'Profile Identifier' field in the message.

#### Parameters

self | a QmiMessageWdsModifyProfileInput. |
value_profile_identifier_profile_type | a QmiWdsProfileType. |
value_profile_identifier_profile_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_modify_profile_output_ref ()

    QmiMessageWdsModifyProfileOutput *
    qmi_message_wds_modify_profile_output_ref
                                   (QmiMessageWdsModifyProfileOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsModifyProfileOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_wds_modify_profile_output_unref ()

    void
    qmi_message_wds_modify_profile_output_unref
                                   (QmiMessageWdsModifyProfileOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsModifyProfileOutput. |

Since: 1.18

### qmi_message_wds_modify_profile_output_get_result ()

    gboolean
    qmi_message_wds_modify_profile_output_get_result
                                   (QmiMessageWdsModifyProfileOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsModifyProfileOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_message_wds_modify_profile_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_modify_profile_output_get_extended_error_code
                                   (QmiMessageWdsModifyProfileOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsModifyProfileOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_client_wds_modify_profile ()

    void
    qmi_client_wds_modify_profile (QmiClientWds *self,
                                   QmiMessageWdsModifyProfileInput *input,
                                   guint timeout,
                                   GCancellable *cancellable,
                                   GAsyncReadyCallback callback,
                                   gpointer user_data);

Asynchronously sends a Modify Profile request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_modify_profile_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsModifyProfileInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_wds_modify_profile_finish ()

    QmiMessageWdsModifyProfileOutput *
    qmi_client_wds_modify_profile_finish (QmiClientWds *self,
                                          GAsyncResult *res,
                                          GError **error);

Finishes an async operation started with `qmi_client_wds_modify_profile()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_modify_profile()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsModifyProfileOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_modify_profile_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessageWdsModifyProfileInput

    typedef struct _QmiMessageWdsModifyProfileInput QmiMessageWdsModifyProfileInput;

The QmiMessageWdsModifyProfileInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessageWdsModifyProfileOutput

    typedef struct _QmiMessageWdsModifyProfileOutput QmiMessageWdsModifyProfileOutput;

The QmiMessageWdsModifyProfileOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18